#ifndef _Salamat_HPP_
#define _Salamat_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"
#include "../analyzer.hpp"


class Salamat : public Base
{
	public:

		Salamat();
		~Salamat();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        Analyzer *anal;
     //   Salama *salamat;
        int salamaindex;
        void create();
        int count;
		void renderScene(float pos, float alpha);
};

#endif
